#ifndef GRAPHICS_CONTEXT_HPP
#define GRAPHICS_CONTEXT_HPP

namespace OpenEngine {
    class GraphicsContext
    {
        public:
            // TODO: Check this!
            virtual ~GraphicsContext() = default;
            virtual void Init() = 0;
            virtual void SwapBuffers() = 0;
    };
}

#endif // GRAPHICS_CONTEXT_HPP
